<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/Global/ErrorModuleHandler/ErrorHandlerModule.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/dce/_error_handler_module_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ErrorHandlerModule.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d3/dce/_error_handler_module_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">//-----------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment">// Definition</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment">//-----------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../da/ddf/class_error_handler_module.html">    5</a></span><span class="comment"></span><span class="keyword">class </span><a class="code hl_class" href="../../da/ddf/class_error_handler_module.html">ErrorHandlerModule</a></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>{</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../da/ddf/class_error_handler_module.html#a00c18d33a189db19f270c42d94ef194d">    8</a></span>    proto native <a class="code hl_enumeration" href="../../d5/dde/_error_module_handler_8c.html#ae780bc06025224f6526b03ee3527469e">ErrorCategory</a> <a class="code hl_function" href="../../da/ddf/class_error_handler_module.html#a00c18d33a189db19f270c42d94ef194d">GetCategory</a>();</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../da/ddf/class_error_handler_module.html#a72af09379f82eb6fea4f1275ad20105a">   11</a></span>    proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/ddf/class_error_handler_module.html#a72af09379f82eb6fea4f1275ad20105a">SetCategory</a>(<a class="code hl_enumeration" href="../../d5/dde/_error_module_handler_8c.html#ae780bc06025224f6526b03ee3527469e">ErrorCategory</a> category);</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../da/ddf/class_error_handler_module.html#acc85dc5a083db2102bb4e5fab1d0d69b">   14</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/ddf/class_error_handler_module.html#acc85dc5a083db2102bb4e5fab1d0d69b">OnErrorThrown</a>(<span class="keywordtype">int</span> errorCode, owned <span class="keywordtype">string</span> additionalInfo = <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    {</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="preprocessor">        #ifdef DEVELOPER</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <a class="code hl_function" href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a>(<a class="code hl_class" href="../../d5/d0f/class_error_module_handler.html">ErrorModuleHandler</a>.<a class="code hl_function" href="../../d5/d0f/class_error_module_handler.html#ac9d453621ec29ec98463c58b0fd8ba45">GetErrorHex</a>(errorCode));</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    }</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../da/ddf/class_error_handler_module.html#a747c6420fba82b7f66c6dd8f19c12b8b">   22</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/ddf/class_error_handler_module.html#a747c6420fba82b7f66c6dd8f19c12b8b">GetClientMessage</a>(<span class="keywordtype">int</span> errorCode, <span class="keywordtype">string</span> additionalInfo = <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    {</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../da/ddf/class_error_handler_module.html#a9a5a23f9b1db518c1d3e77f4fb7e7b0a">GetSimpleMessage</a>(errorCode, additionalInfo);</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    }</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../da/ddf/class_error_handler_module.html#a7609221c50e57455d4cd9e17c65a7d94">   28</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/ddf/class_error_handler_module.html#a7609221c50e57455d4cd9e17c65a7d94">GetLastClientMessage</a>(<span class="keywordtype">int</span> errorCode)</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../da/ddf/class_error_handler_module.html#a9a5a23f9b1db518c1d3e77f4fb7e7b0a">GetSimpleMessage</a>(errorCode);</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    }</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../da/ddf/class_error_handler_module.html#ac2bcf75e42667287457a950cde2a9edb">   34</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/ddf/class_error_handler_module.html#ac2bcf75e42667287457a950cde2a9edb">GetServerMessage</a>(<span class="keywordtype">int</span> errorCode, <span class="keywordtype">string</span> additionalInfo = <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    {</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../da/ddf/class_error_handler_module.html#a9a5a23f9b1db518c1d3e77f4fb7e7b0a">GetSimpleMessage</a>(errorCode, additionalInfo);</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    }</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../da/ddf/class_error_handler_module.html#a72ac0008ba84ce4217d1a50821cd0a18">   40</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/ddf/class_error_handler_module.html#a72ac0008ba84ce4217d1a50821cd0a18">GetLastServerMessage</a>(<span class="keywordtype">int</span> errorCode)</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    {</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../da/ddf/class_error_handler_module.html#a9a5a23f9b1db518c1d3e77f4fb7e7b0a">GetSimpleMessage</a>(errorCode);</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../da/ddf/class_error_handler_module.html#a9a5a23f9b1db518c1d3e77f4fb7e7b0a">   46</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/ddf/class_error_handler_module.html#a9a5a23f9b1db518c1d3e77f4fb7e7b0a">GetSimpleMessage</a>(<span class="keywordtype">int</span> errorCode, <span class="keywordtype">string</span> additionalInfo = <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <span class="keywordflow">return</span> <span class="keywordtype">string</span>.<a class="code hl_function" href="../../d5/da2/group___strings.html#gaec7e49a1dcfd0bc429834f29bc0d35c1">Format</a>(<span class="stringliteral">&quot;[%1]: %2&quot;</span>, <a class="code hl_class" href="../../d5/d0f/class_error_module_handler.html">ErrorModuleHandler</a>.<a class="code hl_function" href="../../d5/d0f/class_error_module_handler.html#ac9d453621ec29ec98463c58b0fd8ba45">GetErrorHex</a>(errorCode), additionalInfo);</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../da/ddf/class_error_handler_module.html#afe4e4bb84ffd751181d905461aea95d5">   52</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/ddf/class_error_handler_module.html#afe4e4bb84ffd751181d905461aea95d5">OnEvent</a>(<a class="code hl_typedef" href="../../d9/d0e/group___widget_a_p_i.html#ga8bb92c7c1a97bd358a549857dc2fe53c">EventType</a> eventTypeId, <a class="code hl_class" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> params)</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    {</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>}</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span> </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span><span class="comment">//-----------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span><span class="comment">// Script override</span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span><span class="comment">//-----------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span><span class="comment"></span><span class="keyword">class </span><a class="code hl_function" href="../../d3/dce/_error_handler_module_8c.html#a3a4bd280341e7cdfefa21d32cd10dfe9">ErrorHandlerModuleScript</a> : <a class="code hl_class" href="../../da/ddf/class_error_handler_module.html">ErrorHandlerModule</a></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>{</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="../../d3/dce/_error_handler_module_8c.html#a2d3f584e8e321296112900417ad30de6">   65</a></span>    <span class="keyword">protected</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#a2d3f584e8e321296112900417ad30de6">m_Header</a> = <span class="stringliteral">&quot;&quot;</span>; </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="../../d3/dce/_error_handler_module_8c.html#a4db844e45839a95a56bb825bb6a22b43">   66</a></span>    <span class="keyword">protected</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#a4db844e45839a95a56bb825bb6a22b43">m_Prefix</a> = <span class="stringliteral">&quot;&quot;</span>; </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="../../d3/dce/_error_handler_module_8c.html#aacb3e6a531644ee9190e905cfe323ba1">   67</a></span>    <span class="keyword">protected</span> ref <a class="code hl_class" href="../../d1/d5b/class_u_i_scripted_menu.html">UIScriptedMenu</a> <a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#aacb3e6a531644ee9190e905cfe323ba1">m_UIHandler</a> = null; </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="../../d3/dce/_error_handler_module_8c.html#aeeed0459e982e653a7fcb5ddd1be9f9b">   69</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#aeeed0459e982e653a7fcb5ddd1be9f9b">m_LastErrorThrown</a> = 0; </div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno"><a class="line" href="../../d3/dce/_error_handler_module_8c.html#a6d5ab3ef22283c74014f5ca356e7f43b">   70</a></span>    <span class="keyword">protected</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#a6d5ab3ef22283c74014f5ca356e7f43b">m_LastAdditionalInfo</a> = <span class="stringliteral">&quot;&quot;</span>; </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno"><a class="line" href="../../d3/dce/_error_handler_module_8c.html#ad6cd1f198b012590c2ab24d41d79a891">   78</a></span>    <span class="keyword">protected</span> ref <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;int, ref ErrorProperties&gt;</a> <a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#ad6cd1f198b012590c2ab24d41d79a891">m_ErrorDataMap</a> = <span class="keyword">new</span> <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;int, ref ErrorProperties&gt;</a>();</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno"><a class="line" href="../../d3/dce/_error_handler_module_8c.html#a3a4bd280341e7cdfefa21d32cd10dfe9">   81</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/dce/_error_handler_module_8c.html#a3a4bd280341e7cdfefa21d32cd10dfe9">ErrorHandlerModuleScript</a>()</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    {</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <a class="code hl_function" href="../../d3/dce/_error_handler_module_8c.html#ac8734ce2e3bbe307bff53780bcea2066">InitOptionalVariables</a>();</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        <a class="code hl_function" href="../../d3/dce/_error_handler_module_8c.html#a13eef8bab9bd3e2c1eaf821ca9938377">FillErrorDataMap</a>();</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    }</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno"><a class="line" href="../../d3/dce/_error_handler_module_8c.html#a184a9f6acf2a5c144404c95e9f15d362">   87</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/dce/_error_handler_module_8c.html#a184a9f6acf2a5c144404c95e9f15d362">~ErrorHandlerModuleScript</a>()</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    {</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#aacb3e6a531644ee9190e905cfe323ba1">m_UIHandler</a>)</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        {</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>            <span class="keyword">delete</span> <a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#aacb3e6a531644ee9190e905cfe323ba1">m_UIHandler</a>;</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        }</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    }</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno"><a class="line" href="../../d3/dce/_error_handler_module_8c.html#ac8734ce2e3bbe307bff53780bcea2066">   96</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/dce/_error_handler_module_8c.html#ac8734ce2e3bbe307bff53780bcea2066">InitOptionalVariables</a>()</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    {</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    }</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    </div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno"><a class="line" href="../../d3/dce/_error_handler_module_8c.html#a13eef8bab9bd3e2c1eaf821ca9938377">  101</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/dce/_error_handler_module_8c.html#a13eef8bab9bd3e2c1eaf821ca9938377">FillErrorDataMap</a>()</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>    {</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        <a class="code hl_function" href="../../d3/dce/_error_handler_module_8c.html#ad9f62c7d858f6eab16c269c37531a476">InsertDialogueErrorProperties</a>(-1, <span class="stringliteral">&quot;#server_browser_error_unknown&quot;</span>);</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>    }</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    </div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno"><a class="line" href="../../d3/dce/_error_handler_module_8c.html#a6b56ea5d897cdd097e113fe4d4152c1b">  112</a></span>    <a class="code hl_class" href="../../d9/d5d/class_error_properties.html">ErrorProperties</a> <a class="code hl_function" href="../../d3/dce/_error_handler_module_8c.html#a6b56ea5d897cdd097e113fe4d4152c1b">GetProperties</a>(<span class="keywordtype">int</span> errorCode)</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    {</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        <span class="keywordtype">int</span> error = <a class="code hl_class" href="../../d5/d0f/class_error_module_handler.html">ErrorModuleHandler</a>.<a class="code hl_function" href="../../d5/d0f/class_error_module_handler.html#a58b162d636b08d31ce86e2ede3bee387">GetCodeFromError</a>(errorCode);</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        <a class="code hl_class" href="../../d9/d5d/class_error_properties.html">ErrorProperties</a> properties = null;</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>            </div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#ad6cd1f198b012590c2ab24d41d79a891">m_ErrorDataMap</a>.Find(error, properties))</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        {</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>            <a class="code hl_function" href="../../d0/d62/group___debug.html#ga786b160dafbe15abb829786ba345cb15">Error</a>(<span class="keywordtype">string</span>.Format(<span class="stringliteral">&quot;[EHM] Could not find any properties for error %1(%2) in %3&quot;</span>, errorCode, <a class="code hl_class" href="../../d5/d0f/class_error_module_handler.html">ErrorModuleHandler</a>.<a class="code hl_function" href="../../d5/d0f/class_error_module_handler.html#ac9d453621ec29ec98463c58b0fd8ba45">GetErrorHex</a>(errorCode), <span class="keyword">this</span>));</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        }</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        </div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        <span class="keywordflow">return</span> properties;</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>    }</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>    </div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno"><a class="line" href="../../d3/dce/_error_handler_module_8c.html#ab9636e78774f3229ca922b2664923437">  130</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/ddf/class_error_handler_module.html#a747c6420fba82b7f66c6dd8f19c12b8b">GetClientMessage</a>(<span class="keywordtype">int</span> errorCode, <span class="keywordtype">string</span> additionalInfo = <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>    {</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>        <a class="code hl_class" href="../../d9/d5d/class_error_properties.html">ErrorProperties</a> properties = <a class="code hl_function" href="../../d3/dce/_error_handler_module_8c.html#a6b56ea5d897cdd097e113fe4d4152c1b">GetProperties</a>(errorCode);</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>            </div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        <span class="keywordflow">if</span> ( properties )</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>        {</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>            <span class="keywordflow">return</span> properties.<a class="code hl_function" href="../../d9/d5d/class_error_properties.html#a9f63ea405723fba9a2022cabbdfb0a7b">GetClientMessage</a>(additionalInfo);</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        }</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        {</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>            <span class="keywordflow">return</span> additionalInfo;</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        }</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>    }</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>    </div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno"><a class="line" href="../../d3/dce/_error_handler_module_8c.html#a57e467a31876ad3e6335579f7be36366">  149</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/ddf/class_error_handler_module.html#a7609221c50e57455d4cd9e17c65a7d94">GetLastClientMessage</a>(<span class="keywordtype">int</span> errorCode)</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>    {</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        <span class="keywordflow">if</span> (errorCode == <a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#aeeed0459e982e653a7fcb5ddd1be9f9b">m_LastErrorThrown</a>)</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>        {</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>            <span class="keywordflow">return</span> <a class="code hl_function" href="../../da/ddf/class_error_handler_module.html#a747c6420fba82b7f66c6dd8f19c12b8b">GetClientMessage</a>(errorCode, <a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#a6d5ab3ef22283c74014f5ca356e7f43b">m_LastAdditionalInfo</a>);</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>        }</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>        {</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>            <a class="code hl_variable" href="../../d6/dae/group___debug_shape.html#ga30f13400906443efe9fb79540dc674b5">ErrorEx</a>(<span class="keywordtype">string</span>.Format(<span class="stringliteral">&quot;Was unable to get the information on the last error as another has already occurred. (%1 != %2)&quot;</span>, <a class="code hl_class" href="../../d5/d0f/class_error_module_handler.html">ErrorModuleHandler</a>.<a class="code hl_function" href="../../d5/d0f/class_error_module_handler.html#ac9d453621ec29ec98463c58b0fd8ba45">GetErrorHex</a>(errorCode), <a class="code hl_class" href="../../d5/d0f/class_error_module_handler.html">ErrorModuleHandler</a>.<a class="code hl_function" href="../../d5/d0f/class_error_module_handler.html#ac9d453621ec29ec98463c58b0fd8ba45">GetErrorHex</a>(<a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#aeeed0459e982e653a7fcb5ddd1be9f9b">m_LastErrorThrown</a>)));</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>            <span class="keywordflow">return</span> <a class="code hl_function" href="../../da/ddf/class_error_handler_module.html#a747c6420fba82b7f66c6dd8f19c12b8b">GetClientMessage</a>(errorCode);</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>        }</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>    }</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>    </div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno"><a class="line" href="../../d3/dce/_error_handler_module_8c.html#ac7d1e4a254dbebeaf78f6a437b53bacb">  167</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/ddf/class_error_handler_module.html#ac2bcf75e42667287457a950cde2a9edb">GetServerMessage</a>(<span class="keywordtype">int</span> errorCode, <span class="keywordtype">string</span> additionalInfo = <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>    {</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>        <a class="code hl_class" href="../../d9/d5d/class_error_properties.html">ErrorProperties</a> properties = <a class="code hl_function" href="../../d3/dce/_error_handler_module_8c.html#a6b56ea5d897cdd097e113fe4d4152c1b">GetProperties</a>(errorCode);</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>            </div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>        <span class="keywordflow">if</span> ( properties )</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>        {</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>            <span class="keywordflow">return</span> properties.<a class="code hl_function" href="../../d9/d5d/class_error_properties.html#aaf178361a815f47b273502ddd9102baa">GetServerMessage</a>(additionalInfo);</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>        }</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>        {</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>            <span class="keywordflow">return</span> additionalInfo;</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>        }</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>    }</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>    </div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno"><a class="line" href="../../d3/dce/_error_handler_module_8c.html#a398657054a8e76623f6bbb33e42953d8">  186</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/ddf/class_error_handler_module.html#a72ac0008ba84ce4217d1a50821cd0a18">GetLastServerMessage</a>(<span class="keywordtype">int</span> errorCode)</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>    {</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>        <span class="keywordflow">if</span> (errorCode == <a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#aeeed0459e982e653a7fcb5ddd1be9f9b">m_LastErrorThrown</a>)</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>        {</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>            <span class="keywordflow">return</span> <a class="code hl_function" href="../../da/ddf/class_error_handler_module.html#ac2bcf75e42667287457a950cde2a9edb">GetServerMessage</a>(errorCode, <a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#a6d5ab3ef22283c74014f5ca356e7f43b">m_LastAdditionalInfo</a>);</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>        }</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>        {</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>            <a class="code hl_variable" href="../../d6/dae/group___debug_shape.html#ga30f13400906443efe9fb79540dc674b5">ErrorEx</a>(<span class="keywordtype">string</span>.Format(<span class="stringliteral">&quot;Was unable to get the information on the last error as another has already occurred. (%1 != %2)&quot;</span>, <a class="code hl_class" href="../../d5/d0f/class_error_module_handler.html">ErrorModuleHandler</a>.<a class="code hl_function" href="../../d5/d0f/class_error_module_handler.html#ac9d453621ec29ec98463c58b0fd8ba45">GetErrorHex</a>(errorCode), <a class="code hl_class" href="../../d5/d0f/class_error_module_handler.html">ErrorModuleHandler</a>.<a class="code hl_function" href="../../d5/d0f/class_error_module_handler.html#ac9d453621ec29ec98463c58b0fd8ba45">GetErrorHex</a>(<a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#aeeed0459e982e653a7fcb5ddd1be9f9b">m_LastErrorThrown</a>)), <a class="code hl_enumeration" href="../../d0/d62/group___debug.html#ga750f272dd3e344b461130dece1aea917">ErrorExSeverity</a>.WARNING);</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>            <span class="keywordflow">return</span> <a class="code hl_function" href="../../da/ddf/class_error_handler_module.html#ac2bcf75e42667287457a950cde2a9edb">GetServerMessage</a>(errorCode);</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>        }</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>    }</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>    </div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno"><a class="line" href="../../d3/dce/_error_handler_module_8c.html#a6c5f9d53c0c51d185baf71c342ee45d2">  206</a></span>    <span class="keyword">protected</span> <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/ddf/class_error_handler_module.html#acc85dc5a083db2102bb4e5fab1d0d69b">OnErrorThrown</a>(<span class="keywordtype">int</span> errorCode, owned <span class="keywordtype">string</span> additionalInfo = <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>    {</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>        super.OnErrorThrown(errorCode, additionalInfo);</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>        </div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>        <a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#aeeed0459e982e653a7fcb5ddd1be9f9b">m_LastErrorThrown</a> = errorCode;</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>        <a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#a6d5ab3ef22283c74014f5ca356e7f43b">m_LastAdditionalInfo</a> = additionalInfo;</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>        </div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>        <a class="code hl_class" href="../../d9/d5d/class_error_properties.html">ErrorProperties</a> properties = <a class="code hl_function" href="../../d3/dce/_error_handler_module_8c.html#a6b56ea5d897cdd097e113fe4d4152c1b">GetProperties</a>(errorCode);</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>            </div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>        <span class="keywordflow">if</span> ( properties )</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>        {</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>            properties.<a class="code hl_function" href="../../d9/d5d/class_error_properties.html#aa6a84a02cd143323413a3ad0a4101e99">HandleError</a>(errorCode, additionalInfo);</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>        }</div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>        {</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>            <a class="code hl_variable" href="../../d6/dae/group___debug_shape.html#ga30f13400906443efe9fb79540dc674b5">ErrorEx</a>(<span class="keywordtype">string</span>.Format(<span class="stringliteral">&quot;Error code %1(%2) was thrown but no ErrorProperties was found for it in category %3.&quot;</span>, errorCode, <a class="code hl_class" href="../../d5/d0f/class_error_module_handler.html">ErrorModuleHandler</a>.<a class="code hl_function" href="../../d5/d0f/class_error_module_handler.html#ac9d453621ec29ec98463c58b0fd8ba45">GetErrorHex</a>(errorCode), <a class="code hl_function" href="../../d7/d6b/_gestures_menu_8c.html#a9760f127681dc90c1f039c4260566d8c">GetCategory</a>().<a class="code hl_function" href="../../d0/d13/_en_convert_8c.html#afa7657e4f6687b78bc860ddff41c3bef">ToString</a>()));</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>            <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#ad6cd1f198b012590c2ab24d41d79a891">m_ErrorDataMap</a>.Find(-1, properties))</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>            {</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>                properties.<a class="code hl_function" href="../../d9/d5d/class_error_properties.html#aa6a84a02cd143323413a3ad0a4101e99">HandleError</a>(errorCode, additionalInfo);</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>            }</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>        }</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span>    }</div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>    </div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>    <span class="comment">//-----------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span>    <span class="comment">// Insert helpers</span></div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>    <span class="comment">//-----------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno"><a class="line" href="../../d3/dce/_error_handler_module_8c.html#ad9f62c7d858f6eab16c269c37531a476">  233</a></span><span class="comment"></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/dce/_error_handler_module_8c.html#ad9f62c7d858f6eab16c269c37531a476">InsertDialogueErrorProperties</a>(<span class="keywordtype">int</span> code, <span class="keywordtype">string</span> message, <span class="keywordtype">int</span> dialogButtonType = DBT_OK, <span class="keywordtype">int</span> defaultButton = DBB_OK, <span class="keywordtype">int</span> dialogMeaningType = DMT_EXCLAMATION, <span class="keywordtype">bool</span> displayAdditionalInfo = <span class="keyword">true</span>)</div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>    {</div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>        <a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#ad6cd1f198b012590c2ab24d41d79a891">m_ErrorDataMap</a>.Insert(code, <a class="code hl_function" href="../../d2/dbd/_error_properties_8c.html#a40f582bd582688c82d25de8b834122e0">DialogueErrorProperties</a>(<span class="keywordtype">string</span>.Format(<span class="stringliteral">&quot;%1%2&quot;</span>, <a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#a4db844e45839a95a56bb825bb6a22b43">m_Prefix</a>, message), message, <a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#a2d3f584e8e321296112900417ad30de6">m_Header</a>, <a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#aacb3e6a531644ee9190e905cfe323ba1">m_UIHandler</a>, dialogButtonType, defaultButton, dialogMeaningType, displayAdditionalInfo));</div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span>    }</div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>    </div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno"><a class="line" href="../../d3/dce/_error_handler_module_8c.html#ab7ae4ab36de12345f5544ecf4db49db8">  239</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/dce/_error_handler_module_8c.html#ab7ae4ab36de12345f5544ecf4db49db8">InsertHeaderDialogueErrorProperties</a>(<span class="keywordtype">int</span> code, <span class="keywordtype">string</span> message, <span class="keywordtype">string</span> header, <span class="keywordtype">int</span> dialogButtonType = DBT_OK, <span class="keywordtype">int</span> defaultButton = DBB_OK, <span class="keywordtype">int</span> dialogMeaningType = DMT_EXCLAMATION, <span class="keywordtype">bool</span> displayAdditionalInfo = <span class="keyword">true</span>)</div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>    {</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span>        <a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#ad6cd1f198b012590c2ab24d41d79a891">m_ErrorDataMap</a>.Insert(code, <a class="code hl_function" href="../../d2/dbd/_error_properties_8c.html#a40f582bd582688c82d25de8b834122e0">DialogueErrorProperties</a>(<span class="keywordtype">string</span>.Format(<span class="stringliteral">&quot;%1%2&quot;</span>, <a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#a4db844e45839a95a56bb825bb6a22b43">m_Prefix</a>, message), message, header, <a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#aacb3e6a531644ee9190e905cfe323ba1">m_UIHandler</a>, dialogButtonType, defaultButton, dialogMeaningType, displayAdditionalInfo));</div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span>    }</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span>    </div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno"><a class="line" href="../../d3/dce/_error_handler_module_8c.html#adcc29a2b139dcd08dca8758149744f26">  245</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/dce/_error_handler_module_8c.html#adcc29a2b139dcd08dca8758149744f26">InsertPrefixDialogueErrorProperties</a>(<span class="keywordtype">int</span> code, <span class="keywordtype">string</span> message, <span class="keywordtype">string</span> prefix, <span class="keywordtype">int</span> dialogButtonType = DBT_OK, <span class="keywordtype">int</span> defaultButton = DBB_OK, <span class="keywordtype">int</span> dialogMeaningType = DMT_EXCLAMATION, <span class="keywordtype">bool</span> displayAdditionalInfo = <span class="keyword">true</span>)</div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span>    {</div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span>        <a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#ad6cd1f198b012590c2ab24d41d79a891">m_ErrorDataMap</a>.Insert(code, <a class="code hl_function" href="../../d2/dbd/_error_properties_8c.html#a40f582bd582688c82d25de8b834122e0">DialogueErrorProperties</a>(<span class="keywordtype">string</span>.Format(<span class="stringliteral">&quot;%1%2&quot;</span>, prefix, message), message, <a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#a2d3f584e8e321296112900417ad30de6">m_Header</a>, <a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#aacb3e6a531644ee9190e905cfe323ba1">m_UIHandler</a>, dialogButtonType, defaultButton, dialogMeaningType, displayAdditionalInfo));</div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span>    }</div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span>    </div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno"><a class="line" href="../../d3/dce/_error_handler_module_8c.html#a021678a2e1790b82fddd26c463139d4b">  251</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/dce/_error_handler_module_8c.html#a021678a2e1790b82fddd26c463139d4b">InsertExtendedPrefixDialogueErrorProperties</a>(<span class="keywordtype">int</span> code, <span class="keywordtype">string</span> message, <span class="keywordtype">string</span> prefix, <span class="keywordtype">int</span> dialogButtonType = DBT_OK, <span class="keywordtype">int</span> defaultButton = DBB_OK, <span class="keywordtype">int</span> dialogMeaningType = DMT_EXCLAMATION, <span class="keywordtype">bool</span> displayAdditionalInfo = <span class="keyword">true</span>)</div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span>    {</div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>        <a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#ad6cd1f198b012590c2ab24d41d79a891">m_ErrorDataMap</a>.Insert(code, <a class="code hl_function" href="../../d2/dbd/_error_properties_8c.html#a40f582bd582688c82d25de8b834122e0">DialogueErrorProperties</a>(<span class="keywordtype">string</span>.Format(<span class="stringliteral">&quot;%1%2%3&quot;</span>, <a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#a4db844e45839a95a56bb825bb6a22b43">m_Prefix</a>, prefix, message), message, <a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#a2d3f584e8e321296112900417ad30de6">m_Header</a>, <a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#aacb3e6a531644ee9190e905cfe323ba1">m_UIHandler</a>, dialogButtonType, defaultButton, dialogMeaningType, displayAdditionalInfo));</div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>    }</div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span>    </div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno"><a class="line" href="../../d3/dce/_error_handler_module_8c.html#a3d14678df06fd5e1a27f8095144ec12d">  257</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/dce/_error_handler_module_8c.html#a3d14678df06fd5e1a27f8095144ec12d">InsertExtendedPrefixSplitDialogueErrorProperties</a>(<span class="keywordtype">int</span> code, <span class="keywordtype">string</span> message, <span class="keywordtype">string</span> prefix, <span class="keywordtype">string</span> serverMessage, <span class="keywordtype">int</span> dialogButtonType = DBT_OK, <span class="keywordtype">int</span> defaultButton = DBB_OK, <span class="keywordtype">int</span> dialogMeaningType = DMT_EXCLAMATION, <span class="keywordtype">bool</span> displayAdditionalInfo = <span class="keyword">true</span>)</div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span>    {</div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span>        <a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#ad6cd1f198b012590c2ab24d41d79a891">m_ErrorDataMap</a>.Insert(code, <a class="code hl_function" href="../../d2/dbd/_error_properties_8c.html#a40f582bd582688c82d25de8b834122e0">DialogueErrorProperties</a>(<span class="keywordtype">string</span>.Format(<span class="stringliteral">&quot;%1%2%3&quot;</span>, <a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#a4db844e45839a95a56bb825bb6a22b43">m_Prefix</a>, prefix, message), serverMessage, <a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#a2d3f584e8e321296112900417ad30de6">m_Header</a>, <a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#aacb3e6a531644ee9190e905cfe323ba1">m_UIHandler</a>, dialogButtonType, defaultButton, dialogMeaningType, displayAdditionalInfo));</div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span>    }</div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span>    </div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno"><a class="line" href="../../d3/dce/_error_handler_module_8c.html#a0adb51f76853e9c78904178bbb59eb34">  263</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/dce/_error_handler_module_8c.html#a0adb51f76853e9c78904178bbb59eb34">InsertSplitDialogueErrorProperties</a>(<span class="keywordtype">int</span> code, <span class="keywordtype">string</span> message, <span class="keywordtype">string</span> serverMessage, <span class="keywordtype">int</span> dialogButtonType = DBT_OK, <span class="keywordtype">int</span> defaultButton = DBB_OK, <span class="keywordtype">int</span> dialogMeaningType = DMT_EXCLAMATION, <span class="keywordtype">bool</span> displayAdditionalInfo = <span class="keyword">true</span>)</div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span>    {</div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span>        <a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#ad6cd1f198b012590c2ab24d41d79a891">m_ErrorDataMap</a>.Insert(code, <a class="code hl_function" href="../../d2/dbd/_error_properties_8c.html#a40f582bd582688c82d25de8b834122e0">DialogueErrorProperties</a>(<span class="keywordtype">string</span>.Format(<span class="stringliteral">&quot;%1%2&quot;</span>, <a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#a4db844e45839a95a56bb825bb6a22b43">m_Prefix</a>, message), serverMessage, <a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#a2d3f584e8e321296112900417ad30de6">m_Header</a>, <a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#aacb3e6a531644ee9190e905cfe323ba1">m_UIHandler</a>, dialogButtonType, defaultButton, dialogMeaningType, displayAdditionalInfo));</div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span>    }</div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span> </div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno"><a class="line" href="../../d3/dce/_error_handler_module_8c.html#af70dd5ba3cbe1b18c46b376704af322b">  269</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/dce/_error_handler_module_8c.html#af70dd5ba3cbe1b18c46b376704af322b">InsertErrorProperties</a>(<span class="keywordtype">int</span> code, <span class="keywordtype">string</span> message = <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno">  270</span>    {</div>
<div class="line"><a id="l00271" name="l00271"></a><span class="lineno">  271</span>        <a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#ad6cd1f198b012590c2ab24d41d79a891">m_ErrorDataMap</a>.Insert(code, <a class="code hl_class" href="../../d9/d5d/class_error_properties.html">ErrorProperties</a>(message, message));</div>
<div class="line"><a id="l00272" name="l00272"></a><span class="lineno">  272</span>    }</div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno">  273</span>}</div>
<div class="ttc" id="a_controls_xbox_new_8c_html_a9ec9dda576db2a36c42c1c3af155d07c"><div class="ttname"><a href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a></div><div class="ttdeci">map</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d7f/_controls_xbox_new_8c_source.html#l00003">ControlsXboxNew.c:4</a></div></div>
<div class="ttc" id="a_en_convert_8c_html_afa7657e4f6687b78bc860ddff41c3bef"><div class="ttname"><a href="../../d0/d13/_en_convert_8c.html#afa7657e4f6687b78bc860ddff41c3bef">ToString</a></div><div class="ttdeci">proto string ToString()</div></div>
<div class="ttc" id="a_error_handler_module_8c_html_a021678a2e1790b82fddd26c463139d4b"><div class="ttname"><a href="../../d3/dce/_error_handler_module_8c.html#a021678a2e1790b82fddd26c463139d4b">InsertExtendedPrefixDialogueErrorProperties</a></div><div class="ttdeci">void InsertExtendedPrefixDialogueErrorProperties(int code, string message, string prefix, int dialogButtonType=DBT_OK, int defaultButton=DBB_OK, int dialogMeaningType=DMT_EXCLAMATION, bool displayAdditionalInfo=true)</div><div class="ttdoc">Insert an error with Dialogue as handling with extended prefix.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dce/_error_handler_module_8c_source.html#l00251">ErrorHandlerModule.c:251</a></div></div>
<div class="ttc" id="a_error_handler_module_8c_html_a0adb51f76853e9c78904178bbb59eb34"><div class="ttname"><a href="../../d3/dce/_error_handler_module_8c.html#a0adb51f76853e9c78904178bbb59eb34">InsertSplitDialogueErrorProperties</a></div><div class="ttdeci">void InsertSplitDialogueErrorProperties(int code, string message, string serverMessage, int dialogButtonType=DBT_OK, int defaultButton=DBB_OK, int dialogMeaningType=DMT_EXCLAMATION, bool displayAdditionalInfo=true)</div><div class="ttdoc">Insert an error with Dialogue as handling with separate server message.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dce/_error_handler_module_8c_source.html#l00263">ErrorHandlerModule.c:263</a></div></div>
<div class="ttc" id="a_error_handler_module_8c_html_a13eef8bab9bd3e2c1eaf821ca9938377"><div class="ttname"><a href="../../d3/dce/_error_handler_module_8c.html#a13eef8bab9bd3e2c1eaf821ca9938377">FillErrorDataMap</a></div><div class="ttdeci">void FillErrorDataMap()</div><div class="ttdoc">Function to fill up m_ErrorDataMap, gets called in the Constructor.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dce/_error_handler_module_8c_source.html#l00101">ErrorHandlerModule.c:101</a></div></div>
<div class="ttc" id="a_error_handler_module_8c_html_a184a9f6acf2a5c144404c95e9f15d362"><div class="ttname"><a href="../../d3/dce/_error_handler_module_8c.html#a184a9f6acf2a5c144404c95e9f15d362">~ErrorHandlerModuleScript</a></div><div class="ttdeci">void ~ErrorHandlerModuleScript()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dce/_error_handler_module_8c_source.html#l00087">ErrorHandlerModule.c:87</a></div></div>
<div class="ttc" id="a_error_handler_module_8c_html_a2d3f584e8e321296112900417ad30de6"><div class="ttname"><a href="../../d3/dce/_error_handler_module_8c.html#a2d3f584e8e321296112900417ad30de6">m_Header</a></div><div class="ttdeci">class ErrorHandlerModule m_Header</div><div class="ttdoc">This is where to input logic and extend functionality of ErrorHandlerModule.</div></div>
<div class="ttc" id="a_error_handler_module_8c_html_a3a4bd280341e7cdfefa21d32cd10dfe9"><div class="ttname"><a href="../../d3/dce/_error_handler_module_8c.html#a3a4bd280341e7cdfefa21d32cd10dfe9">ErrorHandlerModuleScript</a></div><div class="ttdeci">void ErrorHandlerModuleScript()</div><div class="ttdoc">Constructor, by default calls the function that will fill the ErrorDataMap.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dce/_error_handler_module_8c_source.html#l00081">ErrorHandlerModule.c:81</a></div></div>
<div class="ttc" id="a_error_handler_module_8c_html_a3d14678df06fd5e1a27f8095144ec12d"><div class="ttname"><a href="../../d3/dce/_error_handler_module_8c.html#a3d14678df06fd5e1a27f8095144ec12d">InsertExtendedPrefixSplitDialogueErrorProperties</a></div><div class="ttdeci">void InsertExtendedPrefixSplitDialogueErrorProperties(int code, string message, string prefix, string serverMessage, int dialogButtonType=DBT_OK, int defaultButton=DBB_OK, int dialogMeaningType=DMT_EXCLAMATION, bool displayAdditionalInfo=true)</div><div class="ttdoc">Insert an error with Dialogue as handling with extended prefix and separate server message.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dce/_error_handler_module_8c_source.html#l00257">ErrorHandlerModule.c:257</a></div></div>
<div class="ttc" id="a_error_handler_module_8c_html_a4db844e45839a95a56bb825bb6a22b43"><div class="ttname"><a href="../../d3/dce/_error_handler_module_8c.html#a4db844e45839a95a56bb825bb6a22b43">m_Prefix</a></div><div class="ttdeci">protected string m_Prefix</div><div class="ttdoc">Optional: Prefix (e.g. Fixed text at the start of the messages in the module)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dce/_error_handler_module_8c_source.html#l00066">ErrorHandlerModule.c:66</a></div></div>
<div class="ttc" id="a_error_handler_module_8c_html_a6b56ea5d897cdd097e113fe4d4152c1b"><div class="ttname"><a href="../../d3/dce/_error_handler_module_8c.html#a6b56ea5d897cdd097e113fe4d4152c1b">GetProperties</a></div><div class="ttdeci">ErrorProperties GetProperties(int errorCode)</div><div class="ttdoc">Fetches the ErrorProperties for the error code.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dce/_error_handler_module_8c_source.html#l00112">ErrorHandlerModule.c:112</a></div></div>
<div class="ttc" id="a_error_handler_module_8c_html_a6d5ab3ef22283c74014f5ca356e7f43b"><div class="ttname"><a href="../../d3/dce/_error_handler_module_8c.html#a6d5ab3ef22283c74014f5ca356e7f43b">m_LastAdditionalInfo</a></div><div class="ttdeci">protected string m_LastAdditionalInfo</div><div class="ttdoc">Holds the last additional info passed in.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dce/_error_handler_module_8c_source.html#l00070">ErrorHandlerModule.c:70</a></div></div>
<div class="ttc" id="a_error_handler_module_8c_html_aacb3e6a531644ee9190e905cfe323ba1"><div class="ttname"><a href="../../d3/dce/_error_handler_module_8c.html#aacb3e6a531644ee9190e905cfe323ba1">m_UIHandler</a></div><div class="ttdeci">protected ref UIScriptedMenu m_UIHandler</div><div class="ttdoc">Optional: The UI the handler might generally use</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dce/_error_handler_module_8c_source.html#l00067">ErrorHandlerModule.c:67</a></div></div>
<div class="ttc" id="a_error_handler_module_8c_html_ab7ae4ab36de12345f5544ecf4db49db8"><div class="ttname"><a href="../../d3/dce/_error_handler_module_8c.html#ab7ae4ab36de12345f5544ecf4db49db8">InsertHeaderDialogueErrorProperties</a></div><div class="ttdeci">void InsertHeaderDialogueErrorProperties(int code, string message, string header, int dialogButtonType=DBT_OK, int defaultButton=DBB_OK, int dialogMeaningType=DMT_EXCLAMATION, bool displayAdditionalInfo=true)</div><div class="ttdoc">Insert an error with Dialogue as handling with custom header.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dce/_error_handler_module_8c_source.html#l00239">ErrorHandlerModule.c:239</a></div></div>
<div class="ttc" id="a_error_handler_module_8c_html_ac8734ce2e3bbe307bff53780bcea2066"><div class="ttname"><a href="../../d3/dce/_error_handler_module_8c.html#ac8734ce2e3bbe307bff53780bcea2066">InitOptionalVariables</a></div><div class="ttdeci">void InitOptionalVariables()</div><div class="ttdoc">Function which gets called before FillErrorDataMap, designed to set Optional Variales before ErrorPro...</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dce/_error_handler_module_8c_source.html#l00096">ErrorHandlerModule.c:96</a></div></div>
<div class="ttc" id="a_error_handler_module_8c_html_ad6cd1f198b012590c2ab24d41d79a891"><div class="ttname"><a href="../../d3/dce/_error_handler_module_8c.html#ad6cd1f198b012590c2ab24d41d79a891">m_ErrorDataMap</a></div><div class="ttdeci">protected ref map&lt; int, ref ErrorProperties &gt; m_ErrorDataMap</div><div class="ttdoc">Map containing the codes that exist for the ErrorHandlerModule The code links to ErrorProperties This...</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dce/_error_handler_module_8c_source.html#l00078">ErrorHandlerModule.c:78</a></div></div>
<div class="ttc" id="a_error_handler_module_8c_html_ad9f62c7d858f6eab16c269c37531a476"><div class="ttname"><a href="../../d3/dce/_error_handler_module_8c.html#ad9f62c7d858f6eab16c269c37531a476">InsertDialogueErrorProperties</a></div><div class="ttdeci">void InsertDialogueErrorProperties(int code, string message, int dialogButtonType=DBT_OK, int defaultButton=DBB_OK, int dialogMeaningType=DMT_EXCLAMATION, bool displayAdditionalInfo=true)</div><div class="ttdoc">Insert an error with Dialogue as handling, using the Optional Variables.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dce/_error_handler_module_8c_source.html#l00233">ErrorHandlerModule.c:233</a></div></div>
<div class="ttc" id="a_error_handler_module_8c_html_adcc29a2b139dcd08dca8758149744f26"><div class="ttname"><a href="../../d3/dce/_error_handler_module_8c.html#adcc29a2b139dcd08dca8758149744f26">InsertPrefixDialogueErrorProperties</a></div><div class="ttdeci">void InsertPrefixDialogueErrorProperties(int code, string message, string prefix, int dialogButtonType=DBT_OK, int defaultButton=DBB_OK, int dialogMeaningType=DMT_EXCLAMATION, bool displayAdditionalInfo=true)</div><div class="ttdoc">Insert an error with Dialogue as handling with custom prefix.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dce/_error_handler_module_8c_source.html#l00245">ErrorHandlerModule.c:245</a></div></div>
<div class="ttc" id="a_error_handler_module_8c_html_aeeed0459e982e653a7fcb5ddd1be9f9b"><div class="ttname"><a href="../../d3/dce/_error_handler_module_8c.html#aeeed0459e982e653a7fcb5ddd1be9f9b">m_LastErrorThrown</a></div><div class="ttdeci">protected int m_LastErrorThrown</div><div class="ttdoc">Holds the last thrown error in this module, defaults to 0.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dce/_error_handler_module_8c_source.html#l00069">ErrorHandlerModule.c:69</a></div></div>
<div class="ttc" id="a_error_handler_module_8c_html_af70dd5ba3cbe1b18c46b376704af322b"><div class="ttname"><a href="../../d3/dce/_error_handler_module_8c.html#af70dd5ba3cbe1b18c46b376704af322b">InsertErrorProperties</a></div><div class="ttdeci">void InsertErrorProperties(int code, string message=&quot;&quot;)</div><div class="ttdoc">Insert an error with no handling.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dce/_error_handler_module_8c_source.html#l00269">ErrorHandlerModule.c:269</a></div></div>
<div class="ttc" id="a_error_module_handler_8c_html_ae780bc06025224f6526b03ee3527469e"><div class="ttname"><a href="../../d5/dde/_error_module_handler_8c.html#ae780bc06025224f6526b03ee3527469e">ErrorCategory</a></div><div class="ttdeci">ErrorCategory</div><div class="ttdoc">ErrorCategory - To decide what ErrorHandlerModule needs to be called and easily identify where it cam...</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dde/_error_module_handler_8c_source.html#l00004">ErrorModuleHandler.c:5</a></div></div>
<div class="ttc" id="a_error_properties_8c_html_a40f582bd582688c82d25de8b834122e0"><div class="ttname"><a href="../../d2/dbd/_error_properties_8c.html#a40f582bd582688c82d25de8b834122e0">DialogueErrorProperties</a></div><div class="ttdeci">void DialogueErrorProperties(string message, string serverMessage, string header, UIScriptedMenu handler=null, int dialogButtonType=DBT_OK, int defaultButton=DBB_OK, int dialogMeaningType=DMT_EXCLAMATION, bool displayAdditionalInfo=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dbd/_error_properties_8c_source.html#l00045">ErrorProperties.c:45</a></div></div>
<div class="ttc" id="a_gestures_menu_8c_html_a9760f127681dc90c1f039c4260566d8c"><div class="ttname"><a href="../../d7/d6b/_gestures_menu_8c.html#a9760f127681dc90c1f039c4260566d8c">GetCategory</a></div><div class="ttdeci">GestureCategories GetCategory()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d6b/_gestures_menu_8c_source.html#l00080">GesturesMenu.c:80</a></div></div>
<div class="ttc" id="aclass_error_handler_module_html"><div class="ttname"><a href="../../da/ddf/class_error_handler_module.html">ErrorHandlerModule</a></div><div class="ttdoc">Definition and API of an ErrorHandlerModule - Do not insert any logic here! (as this class is not mod...</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dce/_error_handler_module_8c_source.html#l00005">ErrorHandlerModule.c:6</a></div></div>
<div class="ttc" id="aclass_error_handler_module_html_a00c18d33a189db19f270c42d94ef194d"><div class="ttname"><a href="../../da/ddf/class_error_handler_module.html#a00c18d33a189db19f270c42d94ef194d">ErrorHandlerModule::GetCategory</a></div><div class="ttdeci">proto native ErrorCategory GetCategory()</div><div class="ttdoc">Returns the category the module handles.</div></div>
<div class="ttc" id="aclass_error_handler_module_html_a72ac0008ba84ce4217d1a50821cd0a18"><div class="ttname"><a href="../../da/ddf/class_error_handler_module.html#a72ac0008ba84ce4217d1a50821cd0a18">ErrorHandlerModule::GetLastServerMessage</a></div><div class="ttdeci">string GetLastServerMessage(int errorCode)</div><div class="ttdoc">Retrieve the message shown on Server.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dce/_error_handler_module_8c_source.html#l00040">ErrorHandlerModule.c:40</a></div></div>
<div class="ttc" id="aclass_error_handler_module_html_a72af09379f82eb6fea4f1275ad20105a"><div class="ttname"><a href="../../da/ddf/class_error_handler_module.html#a72af09379f82eb6fea4f1275ad20105a">ErrorHandlerModule::SetCategory</a></div><div class="ttdeci">proto native void SetCategory(ErrorCategory category)</div><div class="ttdoc">Set the category the module handles.</div></div>
<div class="ttc" id="aclass_error_handler_module_html_a747c6420fba82b7f66c6dd8f19c12b8b"><div class="ttname"><a href="../../da/ddf/class_error_handler_module.html#a747c6420fba82b7f66c6dd8f19c12b8b">ErrorHandlerModule::GetClientMessage</a></div><div class="ttdeci">string GetClientMessage(int errorCode, string additionalInfo=&quot;&quot;)</div><div class="ttdoc">Retrieve the message shown on Client.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dce/_error_handler_module_8c_source.html#l00022">ErrorHandlerModule.c:22</a></div></div>
<div class="ttc" id="aclass_error_handler_module_html_a7609221c50e57455d4cd9e17c65a7d94"><div class="ttname"><a href="../../da/ddf/class_error_handler_module.html#a7609221c50e57455d4cd9e17c65a7d94">ErrorHandlerModule::GetLastClientMessage</a></div><div class="ttdeci">string GetLastClientMessage(int errorCode)</div><div class="ttdoc">Retrieve the message shown on Client.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dce/_error_handler_module_8c_source.html#l00028">ErrorHandlerModule.c:28</a></div></div>
<div class="ttc" id="aclass_error_handler_module_html_a9a5a23f9b1db518c1d3e77f4fb7e7b0a"><div class="ttname"><a href="../../da/ddf/class_error_handler_module.html#a9a5a23f9b1db518c1d3e77f4fb7e7b0a">ErrorHandlerModule::GetSimpleMessage</a></div><div class="ttdeci">string GetSimpleMessage(int errorCode, string additionalInfo=&quot;&quot;)</div><div class="ttdoc">Simple message of just code and info.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dce/_error_handler_module_8c_source.html#l00046">ErrorHandlerModule.c:46</a></div></div>
<div class="ttc" id="aclass_error_handler_module_html_ac2bcf75e42667287457a950cde2a9edb"><div class="ttname"><a href="../../da/ddf/class_error_handler_module.html#ac2bcf75e42667287457a950cde2a9edb">ErrorHandlerModule::GetServerMessage</a></div><div class="ttdeci">string GetServerMessage(int errorCode, string additionalInfo=&quot;&quot;)</div><div class="ttdoc">Retrieve the message shown on Server.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dce/_error_handler_module_8c_source.html#l00034">ErrorHandlerModule.c:34</a></div></div>
<div class="ttc" id="aclass_error_handler_module_html_acc85dc5a083db2102bb4e5fab1d0d69b"><div class="ttname"><a href="../../da/ddf/class_error_handler_module.html#acc85dc5a083db2102bb4e5fab1d0d69b">ErrorHandlerModule::OnErrorThrown</a></div><div class="ttdeci">protected void OnErrorThrown(int errorCode, owned string additionalInfo=&quot;&quot;)</div><div class="ttdoc">Event that gets triggered when an error of the owned category is thrown.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dce/_error_handler_module_8c_source.html#l00014">ErrorHandlerModule.c:14</a></div></div>
<div class="ttc" id="aclass_error_handler_module_html_afe4e4bb84ffd751181d905461aea95d5"><div class="ttname"><a href="../../da/ddf/class_error_handler_module.html#afe4e4bb84ffd751181d905461aea95d5">ErrorHandlerModule::OnEvent</a></div><div class="ttdeci">void OnEvent(EventType eventTypeId, Param params)</div><div class="ttdoc">Event called by ErrorModuleHandler.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dce/_error_handler_module_8c_source.html#l00052">ErrorHandlerModule.c:52</a></div></div>
<div class="ttc" id="aclass_error_module_handler_html"><div class="ttname"><a href="../../d5/d0f/class_error_module_handler.html">ErrorModuleHandler</a></div><div class="ttdoc">The error handler itself, for managing and distributing errors to modules Manages the ErrorHandlerMod...</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dde/_error_module_handler_8c_source.html#l00028">ErrorModuleHandler.c:29</a></div></div>
<div class="ttc" id="aclass_error_module_handler_html_a58b162d636b08d31ce86e2ede3bee387"><div class="ttname"><a href="../../d5/d0f/class_error_module_handler.html#a58b162d636b08d31ce86e2ede3bee387">ErrorModuleHandler::GetCodeFromError</a></div><div class="ttdeci">static proto int GetCodeFromError(int errorCode)</div><div class="ttdoc">Returns the code of the error.</div></div>
<div class="ttc" id="aclass_error_module_handler_html_ac9d453621ec29ec98463c58b0fd8ba45"><div class="ttname"><a href="../../d5/d0f/class_error_module_handler.html#ac9d453621ec29ec98463c58b0fd8ba45">ErrorModuleHandler::GetErrorHex</a></div><div class="ttdeci">static proto owned string GetErrorHex(int errorCode)</div><div class="ttdoc">Returns a formatted string of the error code.</div></div>
<div class="ttc" id="aclass_error_properties_html"><div class="ttname"><a href="../../d9/d5d/class_error_properties.html">ErrorProperties</a></div><div class="ttdoc">Class which holds the properties and handling of an error.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dbd/_error_properties_8c_source.html#l00002">ErrorProperties.c:3</a></div></div>
<div class="ttc" id="aclass_error_properties_html_a9f63ea405723fba9a2022cabbdfb0a7b"><div class="ttname"><a href="../../d9/d5d/class_error_properties.html#a9f63ea405723fba9a2022cabbdfb0a7b">ErrorProperties::GetClientMessage</a></div><div class="ttdeci">string GetClientMessage(string additionalInfo=&quot;&quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dbd/_error_properties_8c_source.html#l00018">ErrorProperties.c:18</a></div></div>
<div class="ttc" id="aclass_error_properties_html_aa6a84a02cd143323413a3ad0a4101e99"><div class="ttname"><a href="../../d9/d5d/class_error_properties.html#aa6a84a02cd143323413a3ad0a4101e99">ErrorProperties::HandleError</a></div><div class="ttdeci">void HandleError(int errorCode, string additionalInfo=&quot;&quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dbd/_error_properties_8c_source.html#l00016">ErrorProperties.c:16</a></div></div>
<div class="ttc" id="aclass_error_properties_html_aaf178361a815f47b273502ddd9102baa"><div class="ttname"><a href="../../d9/d5d/class_error_properties.html#aaf178361a815f47b273502ddd9102baa">ErrorProperties::GetServerMessage</a></div><div class="ttdeci">string GetServerMessage(string additionalInfo=&quot;&quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dbd/_error_properties_8c_source.html#l00026">ErrorProperties.c:26</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html">UIScriptedMenu</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc8/_day_z_game_8c_source.html#l00020">DayZGame.c:21</a></div></div>
<div class="ttc" id="agroup___debug_html_ga750f272dd3e344b461130dece1aea917"><div class="ttname"><a href="../../d0/d62/group___debug.html#ga750f272dd3e344b461130dece1aea917">ErrorExSeverity</a></div><div class="ttdeci">ErrorExSeverity</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d19/_en_debug_8c_source.html#l00061">EnDebug.c:62</a></div></div>
<div class="ttc" id="agroup___debug_html_ga786b160dafbe15abb829786ba345cb15"><div class="ttname"><a href="../../d0/d62/group___debug.html#ga786b160dafbe15abb829786ba345cb15">Error</a></div><div class="ttdeci">void Error(string err)</div><div class="ttdoc">Messagebox with error message.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d19/_en_debug_8c_source.html#l00090">EnDebug.c:90</a></div></div>
<div class="ttc" id="agroup___debug_html_gaaa9351d895a1f244a26fd635c378c536"><div class="ttname"><a href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a></div><div class="ttdeci">proto void Print(void var)</div><div class="ttdoc">Prints content of variable to console/log.</div></div>
<div class="ttc" id="agroup___debug_shape_html_ga30f13400906443efe9fb79540dc674b5"><div class="ttname"><a href="../../d6/dae/group___debug_shape.html#ga30f13400906443efe9fb79540dc674b5">ErrorEx</a></div><div class="ttdeci">enum ShapeType ErrorEx</div></div>
<div class="ttc" id="agroup___strings_html_gaec7e49a1dcfd0bc429834f29bc0d35c1"><div class="ttname"><a href="../../d5/da2/group___strings.html#gaec7e49a1dcfd0bc429834f29bc0d35c1">string::Format</a></div><div class="ttdeci">static proto string Format(string fmt, void param1=NULL, void param2=NULL, void param3=NULL, void param4=NULL, void param5=NULL, void param6=NULL, void param7=NULL, void param8=NULL, void param9=NULL)</div><div class="ttdoc">Gets n-th character from string.</div></div>
<div class="ttc" id="agroup___tools_html_de/d90/class_param"><div class="ttname"><a href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a></div><div class="ttdoc">Base Param Class with no parameters. Used as general purpose parameter overloaded with Param1 to Para...</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/da5/param_8c_source.html#l00011">param.c:12</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ga8bb92c7c1a97bd358a549857dc2fe53c"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ga8bb92c7c1a97bd358a549857dc2fe53c">EventType</a></div><div class="ttdeci">TypeID EventType</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00054">EnWidgets.c:54</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_5f59cc895a301a4461c2a7ad6af3e56a.html">Global</a></li><li class="navelem"><a class="el" href="../../dir_99f77763ec6dc0e79b618f00bcde15d5.html">ErrorModuleHandler</a></li><li class="navelem"><a class="el" href="../../d3/dce/_error_handler_module_8c.html">ErrorHandlerModule.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
